# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLTitleElement Class Reference

The document title. More...

`#include <html_head.h>`

Inheritance diagram for DOM::HTMLTitleElement:

[legend]
Collaboration diagram for DOM::HTMLTitleElement:

[legend]
List of all members.

## Public Member Functions

| HTMLTitleElement (const HTMLTitleElement &other)
| HTMLTitleElement (const Node &other)
HTMLTitleElement & | operator= (const HTMLTitleElement &other)
HTMLTitleElement & | operator= (const Node &other)
DOMString | text () const
void | setText (const DOMString &)

## Protected Member Functions

| HTMLTitleElement (HTMLTitleElementImpl *impl)

## Detailed Description

The document title.

See the TITLE element definition in HTML 4.0.

Definition at line 522 of file html_head.h.

## Member Function Documentation

DOMString HTMLTitleElement::text | ( |  | ) | const

| The specified title as a string. Definition at line 505 of file html_head.cpp.

void HTMLTitleElement::setText | ( | const DOMString & |  | ) |

| see text Definition at line 511 of file html_head.cpp.

The documentation for this class was generated from the following files:

- html_head.h
- html_head.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003